'Database Version Mismatch' Error Logging into a MSQLite Database File Migrated From a Different Machine

(Doc ID 2070629.1)

Last updated on OCTOBER 26, 2015

Applies to:

Primavera P6 Professional Project Management - Version and later
Information in this document applies to any platform.


On: version, Desktop Client Installation / Login

Received database mismatch error logging into P6 Pro version 15.2 standalone after migration.

'Database version mismatch'

The issue can be reproduced at will with the following steps:
1. Move a MSQLite database file PPMDBSQLite.db from a machine where P6 is installed (for example 15.1 on Machine 1)
2. Paste the copied database file PPMDBSQLite.db into the P6 database folder on a machine running a different version of P6 (for example 15.2 on Machine 2)
3. Log into P6 from Machine 2 and receive 'Database version mismatch' error at login.

Due to this issue, users cannot migrate P6 MSQLite database from one machine to another machine.


Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms